Pagina 2 di 27

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: venerdì 21 agosto 2009, 12:50
da fedecupe
Bravissimo NK!
Meriti un bacio --> :-*
E ti offro pure una birra!!!  (b2b)

:P

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: venerdì 21 agosto 2009, 23:42
da NK
;D  grazie anche a te fedecupe, per la birra ti avverto che recentemente la mia media è stata di 1 / 1,5 litri a sera ::) và bè altre birre altri luoghi...

Ma qualcuno ha testato NTM su KDE o altro ambiente?

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: sabato 22 agosto 2009, 0:39
da Cicapiscopoco
Salve, ottima iniziativa!
Io ho un contratto Tre professionale, posso scaricare 5 giga a settimana.
C'è qualche possibilità che io possa utilizzare il tuo programma, per monitorare la mia connessione (anche se, per la verità, 5 giga a settimana sono tantissimi, e non mi è mai successo di sforare ....).
Grazie, ciao.

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: sabato 22 agosto 2009, 2:15
da ixsta
@NK ti dico la risposta dell'altro post anche qui visto che hai detto che non controlli spesso..

A me il tuo programma non mi apriva e mi avevi chiesto da mettere due stringhe nel terminale

primo risultato:
graziano@Andromeda:~$ ntm

mkdir: impossibile creare la directory "/home/graziano/.ntm": Il file esiste
secondo-mi avevi chiesto di mettere "gedit ~/.ntm/ntm.log" e mi è uscita un'altra finestra con:

>
2009-08-21 17:11:00
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 17:11:32
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 17:13:03
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 17:20:47
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 17:21:21
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 17:44:34
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 18:04:03
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 19:14:26
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 19:25:29
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 19:27:50
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 19:30:12
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-21 19:30:34
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-22 02:03:50
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-22 02:10:34
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed


>
2009-08-22 02:11:21
Linux Andromeda 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
 File "ntm.py", line 28, in
   import ntmgui
 File "/usr/share/ntm/ntmgui.py", line 19, in
   import gtkmozembed
ImportError: No module named gtkmozembed

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: sabato 22 agosto 2009, 12:22
da NK
@ixsta
Il problema è dovuto al fatto che sul tuo sistema non è installato un pacchetto, precisamente "python-gnome2-extras".

Ho rifatto il .deb in modo che ti installa in automatico anche questa dipendenza, si chiama: ntm-0.9.3.1.deb
Puoi direttamente installare la nuova versione di NTM senza disinstallare la vecchia, verrà semplicemente aggiornata.

Il link è il solito: http://netramon.sourceforge.net/

Fammi sapere come è andata.

P.S. Ma che distribuzione usi? Linux Andromeda??


@Cicapiscopoco
Grazie. 5GB a settimana!!  :o praticamente illimitato! (invidia) :)
Si puo utilizzarlo anche per il tuo contratto, se vai sul menù report trovi lo storico dei consumi giorno per giorno, da li puoi ricavare il consumo degli ultimi giorni. E' un pò scomodo lo so, infatti metterò il supporto diretto sia per quelli settimanali che per quelli mensili.

Ciao

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: sabato 22 agosto 2009, 16:19
da ixsta
Grazie mille NK :D
Immaginavo manchasse phyton, ma pensavo fosse impossibile visto che tutti lo istallavano tranquillamente (probabilmente tutti usano già phyton x altre applicazioni)
Ora funziona benissimo!
Uso Ubuntu 9.04..Andromeda è il nome che ho dato io al PC. Sai quando all'istallazione del sistema operativo chiede i tuoi dati e il nome pc? L'ho scritto in quel momento.

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: sabato 22 agosto 2009, 16:41
da NK
Grazie mille NK Cheesy
Prego, grazie a te per il feedback
mmaginavo manchasse phyton
il problema non era python vero e propio, quello è già installato in Ubuntu, ma una libreria extra che ho utilizzato in NTM.
Uso Ubuntu 9.04..Andromeda è il nome che ho dato io al PC
Ok, capito

Ciao

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 24 agosto 2009, 15:15
da drain
ciao mi piacerebbe utilizzare questo programmino col mio cell e naviga3, l'unico problema è che non utilizzo ubuntu o simili, è possibile richiedere la pubblicazone di un pacchetto in formato generico come per le versioni precedenti?

Per la cronaca io utilizzo Sabayon Linux (versione python: 2.5.4)

grazie  ;)

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 24 agosto 2009, 16:44
da NK
drain ha scritto: ciao mi piacerebbe utilizzare questo programmino col mio cell e naviga3, l'unico problema è che non utilizzo ubuntu o simili, è possibile richiedere la pubblicazone di un pacchetto in formato generico come per le versioni precedenti?
Hai ragione, ora trovi pure il tar.gz 
drain ha scritto: Per la cronaca io utilizzo Sabayon Linux (versione python: 2.5.4)
Fammi sapere se funzione anche sulla tua distro
drain ha scritto: grazie  ;)
Prego!

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 24 agosto 2009, 17:37
da drain
NK ha scritto:
drain ha scritto: Per la cronaca io utilizzo Sabayon Linux (versione python: 2.5.4)
Fammi sapere se funzione anche sulla tua distro


grazie purtroppo non mi parte, ricevo questo output:

./run_ntm.sh

location: /usr/lib/xulrunner-1.9.1.1/libxpcom.so
before 3

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 24 agosto 2009, 18:46
da NK
drain ha scritto: ...
grazie purtroppo non mi parte, ricevo questo output:
....
Mi serve il log del programma, postami il contenuto di questo file: ~/.ntm/ntm.log

Codice: Seleziona tutto

gedit ~/.ntm/ntm.log

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 24 agosto 2009, 22:59
da drain
NK ha scritto:
drain ha scritto: ...
grazie purtroppo non mi parte, ricevo questo output:
....
Mi serve il log del programma, postami il contenuto di questo file: ~/.ntm/ntm.log

Codice: Seleziona tutto

gedit ~/.ntm/ntm.log
eccolo (considera che avevo problemi anche con le versioni precedenti, probabilmente dipende da qualche settaggio della mia distro):
>
0.9.3.1
2009-08-24 19:31:59
Linux sabybox 2.6.29-sabayon #1 SMP Mon Jul 20 13:34:20 UTC 2009 i686 Intel(R) Core(TM)2 Duo CPU T5670 @ 1.80GHz GenuineIntel GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in
    ntm = NTM()
  File "ntm.py", line 189, in __init__
    self.ntmgui.setTraffic(self.traffic_in, self.traffic_out, self.trafficLimit, 0.0)
  File "/home/drain/Download/ntm-0.9.3.1/ntmgui.py", line 396, in setTraffic
    self.trafficFrame_topLabel.set_markup("({0:.1f}%)".format(per))
AttributeError: 'str' object has no attribute 'format'

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 24 agosto 2009, 23:27
da NK
Allora il problema è la versione di python, ho usato dei costrutti e funzioni presenti in python 2.6 e successive, infatti quell'errore è proprio su una funzione introdotta nella 2.6.
Se le linee di codice interessate fossero state poche  avrei fatto la modifica, ma non è così  :-\
Dovresti installare la versione successiva, cioè la 2.6.2  (yes)

Ciao

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: mercoledì 26 agosto 2009, 8:56
da oscarmike
:-\ ???

ciao NK
uso una distro Ubuntu limitata a netbook per EeePC: easy peasy.
ho provato ad installare il .deb 0.9.3.1 ma non ne vengo fuori; l'icona compare regolarmente nel gruppo "internet"; sembra che l'applicativo parta ma non esce niente.
sto utilizzando una Wind 1500 e mi servirebbe tenere sotto controllo il traffico.
sai darmi qualche indicazione in +?
grazie.
oscarmike.-

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: mercoledì 26 agosto 2009, 8:58
da drain
NK ha scritto:
Allora il problema è la versione di python, ho usato dei costrutti e funzioni presenti in python 2.6 e successive, infatti quell'errore è proprio su una funzione introdotta nella 2.6.
Se le linee di codice interessate fossero state poche  avrei fatto la modifica, ma non è così  :-\
Dovresti installare la versione successiva, cioè la 2.6.2  (yes)

Ciao
ok intanto grazie quando installerò il nuovo python ti farò sapere.
ciao

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: mercoledì 26 agosto 2009, 9:14
da NK
oscarmike ha scritto: uso una distro Ubuntu limitata a netbook per EeePC: easy peasy.
ho provato ad installare il .deb 0.9.3.1 ma non ne vengo fuori; l'icona compare regolarmente nel gruppo "internet"; sembra che l'applicativo parta ma non esce niente.
sto utilizzando una Wind 1500 e mi servirebbe tenere sotto controllo il traffico.
sai darmi qualche indicazione in +?
Mi serve il log del programma, postami il contenuto di questo file: ~/.ntm/ntm.log

Codice: Seleziona tutto

gedit ~/.ntm/ntm.log

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: mercoledì 26 agosto 2009, 13:13
da oscarmike
???

questo è il log:
>
0.9.3.1
2009-08-22 19:37:14
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


>
0.9.3.1
2009-08-22 19:37:41
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


>
0.9.3.1
2009-08-22 19:44:17
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


>
0.9.3.1
2009-08-23 00:16:59
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


>
0.9.3.1
2009-08-23 00:18:12
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


>
0.9.3.1
2009-08-26 08:26:42
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14

grazie.
oscarmike.-

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: mercoledì 26 agosto 2009, 14:07
da NK
oscarmike ha scritto: ...
>
0.9.3.1
2009-08-26 08:26:42
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14
...
Dall'ultima riga si capisce che il programma ha bisogno delle librerie gtk+ versione 2.16 o maggiore, tu hai le 2.14.
Quindi o installi le gtk 2.16 oppure prova questi comandi:

Codice: Seleziona tutto

sudo cp /usr/share/ntm/ntmgui_v.glade /usr/share/ntm/ntmgui_v.glade.b
sudo gedit /usr/share/ntm/ntmgui_v.glade
Ora devi modifica la versione richiesta.
La riga originale è:

Codice: Seleziona tutto

  <requires lib="gtk+" version="2.16"/>
Modifica così:

Codice: Seleziona tutto

  <requires lib="gtk+" version="2.14"/>
Salva e chiudi.
Poi dai questo comando:

Codice: Seleziona tutto

sudo chmod +r /usr/share/ntm/ntmgui_v.glade
Ora prova a lanciare NTM dal menu.

Se non va la cosa, ripostami il nuovo log di NTM e rimetti a posto il vecchio file:

Codice: Seleziona tutto

sudo cp /usr/share/ntm/ntmgui_v.glade.b /usr/share/ntm/ntmgui_v.glade
Fammi sapere se va o no

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: sabato 29 agosto 2009, 20:58
da orpheus
NK ha scritto:


Fammi sapere se va o no
Ciao a tutti,io ho lo stesso problema di NK,uso però un normale Ubuntu 8.10,il log del programma è lo stesso,ho provato a seguire le indicazioni dettate a NK,ma niente;
ho rifatto il log come si diceva,e compare lo stesso log dell'inizio.
Premetto che uso da poco Ubuntu e facendo un paragone me ne intendo come la Ventura si intende di musica,ma mi pare di aver capito che se non aggiorno le librerie gtk+ alla versione 2.16 sono fottuto...helpppppppppp!

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: domenica 30 agosto 2009, 12:50
da NK
orpheus ha scritto: Ciao a tutti,io ho lo stesso problema di NK,uso però un normale Ubuntu 8.10,il log del programma è lo stesso,ho provato a seguire le indicazioni dettate a NK,ma niente;
Chiariamo subito un concetto: io non ho problemi! 8)  al massimo li risolvo!!  ;D  (sta parlando NK)
orpheus ha scritto: ho rifatto il log come si diceva,e compare lo stesso log dell'inizio.
Premetto che uso da poco Ubuntu e facendo un paragone me ne intendo come la Ventura si intende di musica,ma mi pare di aver capito che se non aggiorno le librerie gtk+ alla versione 2.16 sono fottuto...helpppppppppp!
oscarmike non ha risposto quindi non so se con la sua versione funziona...
In ogni caso quasi certamente devi aggiornare la versione di gtk.
Devo sapere le versioni dei pacchetti che hai sul tuo sistema, quindi apri un terminale e posta qui il risultato di questi comandi:

Codice: Seleziona tutto

dpkg -l | grep gtk2 > out
gedit out
ps. ma di cosa se ne intede la Ventura!?  :-\